package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiInspectRecord;

/**
 * 巡查记录 服务层
 */
public interface ITBusiInspectRecordService {

    TBusiInspectRecord selectTBusiInspectRecordByGuid(String guid);

    List<TBusiInspectRecord> selectTBusiInspectRecordList(TBusiInspectRecord tBusiInspectRecord);

    int insertTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord);

    int updateTBusiInspectRecord(TBusiInspectRecord tBusiInspectRecord);

    int deleteTBusiInspectRecordByGuid(String guid);

    int deleteTBusiInspectRecordByGuids(String[] guids);
}
